Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1388895 - opensc: update to use openssl 1.1.0
Summary: opensc: update to use openssl 1.1.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740
TreeView+ depends on / blocked
 
Reported: 2016-10-26 11:35 UTC by Nikos Mavrogiannopoulos
Modified: 2017-05-16 06:00 UTC (History)
5 users (show)

Fixed In Version: opensc-0.16.0-2.20161016git0362439.fc26 opensc-0.16.0-2.20161016git0362439.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-16 06:00:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
opensc spec file patch (deleted)
2016-10-26 11:35 UTC, Nikos Mavrogiannopoulos
no flags Details | Diff
sources from git (deleted)
2016-10-26 11:36 UTC, Nikos Mavrogiannopoulos
no flags Details
opensc-prkey-fixup.patch (deleted)
2016-10-31 09:22 UTC, Nikos Mavrogiannopoulos
no flags Details | Diff

Description Nikos Mavrogiannopoulos 2016-10-26 11:35:11 UTC
Created attachment 1214262 [details]
opensc spec file patch

Description of problem:
OpenSC depends on the API of openssl 1.0.x. That means that the included version cannot recompile for f26 without using the compat packages. This patch rebases opensc to a git version which includes openssl 1.1.0 support (+an additional patch). Hopefully there will be a full release prior to f26 to replace this hack.

Comment 1 Nikos Mavrogiannopoulos 2016-10-26 11:36:06 UTC
Created attachment 1214264 [details]
sources from git

Comment 2 Jakub Jelen 2016-10-31 09:17:53 UTC
Seems like missing one file:

Patch0:		opensc-prkey-fixup.patch

can you share also this one (I can guess that it is this one [1]).

Otherwise it looks good so I will try to rebuild it with other changes (#1303441)

[1] https://github.com/OpenSC/OpenSC/pull/895

Comment 3 Nikos Mavrogiannopoulos 2016-10-31 09:22:53 UTC
Created attachment 1215736 [details]
opensc-prkey-fixup.patch

Attached.

Comment 4 Jakub Jelen 2016-10-31 12:33:57 UTC
Thanks. Pushed into rawhide.

Comment 5 Fedora Update System 2017-05-02 10:46:06 UTC
opensc-0.16.0-2.20161016git0362439.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e1a96d72

Comment 6 Fedora Update System 2017-05-04 15:24:15 UTC
opensc-0.16.0-2.20161016git0362439.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e1a96d72

Comment 7 Fedora Update System 2017-05-05 21:00:39 UTC
opensc-0.16.0-2.20161016git0362439.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e1a96d72

Comment 8 Fedora Update System 2017-05-16 06:00:52 UTC
opensc-0.16.0-2.20161016git0362439.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.